jQuery(document).ready(function ($) {
    let mediaUploader;

    $('#sup-pt-upload-button').click(function (e) {
        e.preventDefault();

        $('#sup-pt-file-url').val("");
        $('#sup-pt-file-preview').hide();

        // If the uploader is already open, reopen it
        if (mediaUploader) {
            mediaUploader.open();
            return;
        }

        // Create the media uploader
        mediaUploader = wp.media({
            title: 'Choose a File',
            button: {
                text: 'Use this file',
            },
            multiple: false, // Allow single file selection
        });

        // When a file is selected, grab the URL and set it to the input field
        mediaUploader.on('select', function () {
            const attachment = mediaUploader.state().get('selection').first().toJSON();
            $('#sup-pt-file-url').val(attachment.url);
            $('#sup-pt-file-preview').attr('href',`${attachment.url}`);
            $('#sup-pt-file-preview').show();
        });

        // Open the uploader
        mediaUploader.open();
    });
});
